## grr.app 0.9.0

=== debian/changelog ===
grr.app (0.9.0-1build1) raring; urgency=low

  * Rebuild for gnustep-gui 0.22 transition.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 21 Nov 2012 16:49:16 +0100

grr.app (0.9.0-1) unstable; urgency=low

  * New upstream release:
    + Builds with ld --as-needed (Closes: #633544).
  * debian/control (Build-Depends): Remove quilt.  Add librsskit-dev (>=
    0.3-2) and dpkg-dev (>= 1.16.1~) (for hardening support). 
    (Homepage): Update, new upstream.
    (Vcs-Arch, Vcs-Gir, Vcs-Browser): Switch from Arch to Git.
    (rssreader.app): Remove package.
    (Conflicts, Replaces): Remove.
    (Standards-Version): Bump to 3.9.3; no changes needed.
  * debian/source/format: Switch to 3.0 (quilt).
  * debian/README.source: Delete; redundant.
  * debian/patches/link-libs.patch: Delete, not relevant anymore.
  * debian/patches/series: Update.
  * debian/rules: Don't include /usr/share/quilt/quilt.make, eliminate
    patch/unpatch dependencies.  Enable hardening.  Convert and install
    the new application icon.
    (LDFLAGS): Omit -Wl,-z,defs as the new plugins require methods defined
    in the app itself.
    (install): Don't handle RSSKit, it's in a separate package now.  Don't
    install /usr/lib/grr.app.
    (binary-arch): Remove GS_USE_FHS conditional.  Move only the images to
    /usr/share as Resources contains arch-dependent plugins.
  * debian/preinst: New file.
  * debian/Grr.desktop: Amend Icon.
  * debian/watch: Watch the new upstream location.
  * debian/copyright: Switch to format 1.0, change license to GPLv3+,
    remove information about RSSKit.  Add more copyright holders.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 05 Jun 2012 12:19:58 +0300

grr.app (0.6.2.dfsg-5) unstable; urgency=low

  * Rename source and binary package to grr.app -- according to upstream,
    the app was renamed because of legal risks.
  * debian/compat: Set to 7.
  * debian/control (Section): Change to `gnustep'.
    (Maintainer): Adopt for the GNUstep team (Closes: #454270).
    (Uploaders): Add Federico.  Change my email address.
    (Build-Depends): Bump debhelper to >= 7, unversion libngustep-gui-dev,
    add quilt.
    (Standards-Version): Claim compliance with 3.8.4 as of this release.
    (Vcs-Arch): New field.
    (rssreader.app): Make it a transitional package.
    (rsskit.framework, librsskit0, librsskit0-dev): Annihilate; cause only
    archive bloat and policy violation.
  * debian/librsskit0-dev.docs:
  * debian/librsskit0-dev.install:
  * debian/librsskit0.install:
  * debian/rssreader.app.docs:
  * debian/rssreader.app.install: Delete.
  * debian/Grr.desktop: Make it valid; bump version to 1.0.
  * debian/rules: Include quilt.make and adjust prerequisites accordingly.
    Massive changes to cater for the package rename.  Install RSSKit as a
    private library in /usr/lib/grr.app.  Avoid gs_make.
    (GNUSTEP_MAKEFILES, d_app): New variables.
    (DEBDIR, OBJCFLAGS): Remove; which fixes FTBFS with gnustep-base/1.20
    (Closes: #581981).
    (install): Replace dh_clean -k with dh_prep.
    (binary-indep): Remove the recipe.
    (binary-arch): Install only Grr's ChangeLog.  Remove the -a argument
    from all dh_ commands, do not invoke dh_makeshlibs, do not pass
    special arguments to dh_shlibdeps.
  * debian/patches/link-libs.patch: New, link against libobjc (Closes:
    #558955).
  * debian/patches/series:
  * debian/source/format: New file.
  * debian/README.Debian-source: Rename as...
  * debian/README.source: ...and add information about quilt.  Clarify
    that repackaging the upstream tarball was/is not necessary.
  * debian/watch: New file, currently a stub.
  * debian/menu: s/rssreader.app/grr.app/.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 19 May 2010 22:21:52 +0300

rssreader.app (0.6.2.dfsg-4) unstable; urgency=low

  * debian/control (Build-Depends): Version the libgnustep-gui-dev
    dependency (>= 0.12.0).  Drop gnustep-make and dpkg-dev.
    (rssreader.app) [Description]: Moved Homepage to its own field in the
    (Homepage): Source stanza.
    (rssreader.app) [Depends]: Added ${misc:Depends}.
  * debian/librsskit0.install: Updated.
  * debian/librsskit-dev.install: Likewise.
  * debian/rssreader.app.install: Likewise.
  * debian/rules (DESTDIR, CFLAGS): Do not define these variables.
    (DEBDIR): Define.
    (OBJCFLAGS): Define conditionally honoring DEB_BUILD_OPTIONS and pass
    to make.
    (build-stamp): Use gs_make and adjust the location of the RSSKit
    objects.
    (clean): Use gs_make instead of $(MAKE).  Do not remove the temporary
    build directory; done automatically by dh_clean.
    (install): Install in the tmpdir using gs_make and setting
    GNUSTEP_INSTALLATION_DOMAIN=SYSTEM.  Remove the .desktop file
    generated by pl2link and install a valid one.  Install the XPM icon
    here, not in the binary-arch target.  Also move dh_install.  Remove
    redundant call to dh_installdirs.
    (binary-arch): Do not create link for the app wrapper.  Change the
    condition for moving the Resources to FHS locations from
    DEB_GNUSTEP_NO_MOVE to GS_USE_FHS.  Adjust the variables and paths in
    that snippet accordingly.  Remove the unnecessary dh_installexamples
    invocation.  Adjust the path parameter of dh_slibdeps.
  * debian/menu (section): Changed to Applications/Network/Web News.
  * debian/Grr.desktop: New file.
  * debian/rssreader.app.preinst: Deleted, already unnecessary.

 -- Yavor Doganov <yavor@doganov.org>  Sun, 28 Oct 2007 21:43:06 +0200

rssreader.app (0.6.2.dfsg-3) unstable; urgency=low

  * To properly move the Resources dir to /usr/share, include a preinst
    script which Hubert Chan wrote originally for gnumail.app.  This fixes
    a grave bug (not reported) that occurs on upgrades.
  * Remove the lintian override, we are compliant now. 

 -- Yavor Doganov <yavor@doganov.org>  Tue, 21 Nov 2006 22:20:22 +0200

rssreader.app (0.6.2.dfsg-2) unstable; urgency=low

  [ Remarks and suggestions by James Westby ]

