=== debian/control ===
Source: grr.app
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Yavor Doganov <yavor@gnu.org>,
	   Federico Gimenez Nieto <fgimenez@coit.es>
Build-Depends: debhelper (>= 7),
	       dpkg-dev (>= 1.16.1~),
	       libgnustep-gui-dev,
	       librsskit-dev (>= 0.3-2),
	       imagemagick
Vcs-Git: git://git.debian.org/pkg-gnustep/grr.app.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/grr.app.git
Standards-Version: 3.9.3
Homepage: http://gap.nongnu.org/grr/

Package: grr.app
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Description: RSS reader for GNUstep
 Grr (Günther's RSS Reader) is a reader for RSS news feeds.  It has
 the following features:
 .
  * Parsing RSS feeds (including Atom).
  * Fetching feeds from the web.
  * Showing headlines.
  * Showing the article's descriptions.
  * Categories for feeds.
  * Articles can be rated.
  * Simple HTML rendering on GNUstep.
  * Serializing obtained feed information to hard disk.
  * Managing (adding, removing) feeds.
