## grr.app 1.0

=== debian/changelog ===
grr.app (1.0-3) unstable; urgency=medium

  * debian/control (Build-Depends): Require librrskit-dev (>= 0.4-3) and
    libgnustep-gui-dev (>= 0.31.1-7) for the multiarch layout.
  * debian/generate.sh: Update for the new layout, remove unnecessary
    comments in generated files and don't use TABs.  Add comment why this
    script doesn't scale (my apologies to Eric) and does exactly the
    opposite of what it was intended to do (to ease maintainers' burden).
  * debian/install: Update for multiarch (manually edited first so that
    the generate.sh script works and then generated with it to ensure it
    matches what the script outputs).
  * debian/links: Likewise (Closes: #1093991).
  * debian/upstream/metadata: New file.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 31 Jan 2025 20:59:42 +0200

grr.app (1.0-2) unstable; urgency=medium

  * Run wrap-and-sort -ast -f debian/control.
  * debian/gbp.conf: New file.
  * debian/control (Build-Depends): Switch to debhelper-compat; set level
    to 13.  Remove obsolete version constraints for libgnustep-gui-dev and
    librsskit-dev.  Add dpkg-build-api (= 1).
    (Depends): Remove dpkg; no longer needed.
    (Vcs-Git, Vcs-Browser): Point to the repository at salsa.d.o.
    (Standards-Version): Claim compliance with 4.7.0.
  * debian/compat: Delete.
  * debian/generate.sh:
    + Install stamp.make files as dh_missing fails (dh_gnustep will take
      care to delete them later).
    + Don't install upstream .desktop file and don't create symlink.
    + Install the PNG icon in /usr/share/pixmaps/GNUstep.
    + Remove all maintscript-related code.
    + Exit immediately if an error is encountered.
  * debian/install: Regenerate.
  * debian/links: Likewise.
  * debian/rules: Enable hardening.
    (usrshare): New helper variable.
    (override_dh_auto_build): Use dh_auto_build instead of $(MAKE) to
    enable parallel builds.  Use $(verbose) instead of hardcoded
    messages=yes.  Pass $(optim) to support "noopt" in DEB_BUILD_OPTIONS.
    Create a PNG instead of an XPM icon for the .desktop file.
    (override_dh_auto_install): Use dh_auto_build instead of $(MAKE)
    install.  Delete the automatically generated upstream .desktop file.
    (override_dh_fixperms): Don't change .desktop permissions.
    (execute_before_dh_link): New target; run dh_gnustep.  Convert two
    translations to UTF-8 to fix lintian W: national-encoding.
    (override_dh_strip): Remove override; we want a dbgsym package.
  * debian/Grr.desktop: Adjust icon type and location.
  * debian/clean: New file; delete the PNG icon.
  * debian/source/options: Delete.
  * debian/changelog: Strip trailing whitespace.
  * debian/lintian-overrides: New file; override
    library-not-linked-against-libc (usual false positive for bundles).
  * debian/patches/shadow-ivars.patch: New; prevent shadowing of ivars by
    local variable declarations (taken from upstream).
  * debian/patches/conflicting-types.patch: New; fix conflicting types w/i
    method declarations/definitions.
  * debian/patches/incompatible-ptr-type.patch: New; fix
    incompatible-pointer-type compiler warnings.
  * debian/maintscript: Delete; no longer needed.
  * debian/watch: Use HTTPS protocol and Savannah's multiplexor.
  * debian/copyright: Use HTTPS protocol for Format URL.  Use upstream ML
    address for Upstream-Contact.  Set Source to the location of the
    tarballs.  Use GPL-3+/LGPL-2+ instead of GPL-3.0+/LGPL-2.0+.  Update
    copyright years for Debian packaging.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 09 Sep 2024 10:51:18 +0300

grr.app (1.0-1) unstable; urgency=low

  * Team upload:
    + Add myself as new Co-Maintainer.
  * New upstream version:
    + Can now add new feeds (Closes: #754838).
  * Update debhelper, gnustep and rsskit Build-Depends (remove dpkg-dev).
  * Remove no more needed {gnustep:Depends} var in debian/control file.
  * Update Vcs-Browser and Vcs-Git fields in debian/control file
    to make lintian quiet.
  * Bump Standards-Version to 3.9.8:
    + Rewrite debian/rules file:
      - don't hardcode build flags, use dpkg-buildflags instead,
      - fix permissions of .tiff and .desktop files,
      - don't build .dbgsym package.
  * Accordind to debian policy 9.1.1, move architecture independent files
    to /usr/share/GNUstep subdirs:
    + provide a new debian install file,
    + use dh_symlink and dpkg-maintainer-script (and thus add dependency
      to dpkg (>=1.17.14) to create symlinks from old to new locations,
    + provide a new private script (debian/generate.sh) to autogenerate
     debian/install, debian/links and debian/maintscript files,
    + remove old debian/preinst script.
  * Update debian/watch file to version 4.
  * Add Upstream-Contact in debian/copyright file.
  * Provide a new debian/docs files (install README and TODO)
  * Add a Keyword entry in debian/Grr.desktop.
  * Provide a debian/source/options file with a dpkg-source argument
    to ignore Grr.xpm file generated by imagemagick.

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Fri, 22 Apr 2016 10:33:50 +0000
