=== debian/control ===
Source: grr.app
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Yavor Doganov <yavor@gnu.org>,
 Federico Gimenez Nieto <fgimenez@coit.es>,
 Eric Heintzmann <heintzmann.eric@free.fr>,
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
 imagemagick,
 libgnustep-gui-dev (>= 0.31.1-7),
 librsskit-dev (>= 0.4-3),
Vcs-Git: https://salsa.debian.org/gnustep-team/grr.app.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/grr.app
Standards-Version: 4.7.0
Homepage: http://gap.nongnu.org/grr/

Package: grr.app
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: RSS reader for GNUstep
 Grr (Günther's RSS Reader) is a reader for RSS news feeds.  It has
 the following features:
 .
  * Parsing RSS feeds (including Atom).
  * Fetching feeds from the web.
  * Showing headlines.
  * Showing the article's descriptions.
  * Categories for feeds.
  * Articles can be rated.
  * Simple HTML rendering on GNUstep.
  * Serializing obtained feed information to hard disk.
  * Managing (adding, removing) feeds.
