=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/GNUstep/debian/config.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

usrshare := debian/grr.app/usr/share/GNUstep/Grr.app

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(verbose) $(optim) \
	  $(shell dpkg-buildflags --export=cmdline)
	convert Resources/Icons/Application/Grr-Icon.tiff -resize 64x64 Grr.png

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp
	$(RM) debian/tmp$(GNUSTEP_SYSTEM_APPS)/Grr.app/Resources/*.desktop

execute_before_dh_link:
	gsdh_gnustep
# Fixes lintian W: national-encoding.
	iconv -f ISO-8859-1 -t UTF-8 \
	  < Components/ArticleView/German.lproj/Localizable.strings \
	  > $(usrshare)/ArticleView.grrc/German.lproj/Localizable.strings
	iconv -f ISO-8859-1 -t UTF-8 \
	  < Components/SubscriptionPanel/German.lproj/Localizable.strings \
	  > $(usrshare)/SubscriptionPanel.grrc/German.lproj/Localizable.strings

override_dh_fixperms:
	dh_fixperms
	find debian/grr.app -name "*.tiff" -perm 0755 -exec chmod -v 0644 {} \;
